package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformGzhPlanChangeLog {
    private Long id;

    private Long planId;

    private String oldPlanIds;

    private String newPlanIds;

    private Long createTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getOldPlanIds() {
        return oldPlanIds;
    }

    public void setOldPlanIds(String oldPlanIds) {
        this.oldPlanIds = oldPlanIds;
    }

    public String getNewPlanIds() {
        return newPlanIds;
    }

    public void setNewPlanIds(String newPlanIds) {
        this.newPlanIds = newPlanIds;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", planId=").append(planId);
        sb.append(", oldPlanIds=").append(oldPlanIds);
        sb.append(", newPlanIds=").append(newPlanIds);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append("]");
        return sb.toString();
    }
}